<template>
    <modal name="tds"
           class="arcticmodal-container full-viewport"
           width="600"
           height="auto"
           adaptive
           :clickToClose="false"
           @before-open="beforeOpen"
           @before-close="beforeClose">
        <tds-iframe :data="data" @close="close"></tds-iframe>
    </modal>
</template>
<script>
    import {getLoanById} from '@/utils/api';
    import ErrorHandleMixin from '@/mixins/ErrorHandleMixin';
    import {UNSET_ERRORS} from '@/store/mutation-types';
    import tdsIframe from './tdsIframe.vue';

    export default {
        name: 'tdsModal',
        data() {
            return {
                data: {},
            };
        },
        mixins: [
            ErrorHandleMixin,
        ],
        components: {
            tdsIframe,
        },

        created() {
        },

        // 5543735484626654 2020/1 362
        mounted() {
            window.addEventListener('message', this.postMessage, false);
        },

        beforeDestroy() {
            window.removeEventListener('message', this.postMessage, false);
        },

        methods: {

            postMessage(e) {
                console.log('paymentPostMessage::', e);
                if (e.data.success) {
                    this.$emit('result-success', { data: e.data });
                } else if (e.data.error) {
                    this.$emit('result-error');
                }
            },

            beforeOpen(event) {
                if (!this.tdsData) {
                    this.data = event.params;
                }
                this.$helpers.noscroll(true);
            },

            beforeClose() {
                this.$helpers.noscroll(false);
            },

            close() {
                this.$modal.hide('tds');
                this.$emit('close');
                this.$emit('result-error');
            },
        },
    };
</script>
<style scoped>
    h3 {
        margin-bottom: 0px !important;
    }

    .buttons {
        text-align: center
    }
</style>
